


.hero-slider{
    position:relative;
    width:100%;
    height:720px;
    overflow:hidden;
    background:#fff;
}

.hero-slider .slide{
    position:absolute;
    inset:0;
    opacity:0;
    visibility:hidden;
    transition:1s ease;
}

.hero-slider .slide.active{
    opacity:1;
    visibility:visible;
    z-index:2;
}

.hero-slider .bg{
    position:absolute;
    width:100%;
    height:100%;
    inset:0;
    animation:zoomEffect 8s linear forwards;
}

/* Desktop Image */
.hero-slider .desktop-img{
    object-fit:cover;
    object-position:center;
}

/* Mobile Image */
.hero-slider .mobile-img{
    display:none;
}

@keyframes zoomEffect{

    from{
        transform:scale(1);
    }

    to{
        transform:scale(1.08);
    }

}

.hero-slider .overlay{
    position:absolute;
    inset:0;
    background:
    linear-gradient(
    90deg,
    rgba(0,0,0,.78) 0%,
    rgba(0,0,0,.45) 35%,
    rgba(0,0,0,.05) 100%
    );
    z-index:1;
}

.hero-slider .container{
    position:relative;
    z-index:5;
    max-width:1400px;
    height:100%;
    margin:auto;
    display:flex;
    align-items:center;
    padding:0 80px;
}

.hero-slider .content{
    max-width:650px;
    color:#fff;
    margin-left: 20px;
}

.hero-slider .sub-title{
    display:inline-block;
    margin-bottom:15px;
    font-size:15px;
    letter-spacing:3px;
    text-transform:uppercase;
}

.hero-slider .content h1{
    font-size:50px;
    line-height:1.1;
    margin-bottom:25px;
    color: #fff;
}

.hero-slider .content p{
    font-size:18px;
    line-height:1.8;
    margin-bottom:35px;
}

.hero-slider .btn{
    display:inline-flex;
    align-items:center;
    justify-content:center;
    height:55px;
    padding:0 35px;
    text-decoration:none;
    color:#fff;
    border:1px solid rgba(255,255,255,.3);
    backdrop-filter:blur(8px);
    transition:.4s;
}

.hero-slider .btn:hover{
    transform:translateY(-3px);
}

.hero-slider .slider-btn{
    position:absolute;
    top:50%;
    transform:translateY(-50%);
    width:60px;
    height:60px;
    border:none;
    cursor:pointer;
    z-index:20;
    background:rgba(255,255,255,.12);
    backdrop-filter:blur(12px);
    color:#fff;
    font-size:25px;
}

.hero-slider .prev{
    left:25px;
}

.hero-slider .next{
    right:25px;
}

.hero-slider .slider-dots{
    position:absolute;
    left:50%;
    bottom:35px;
    transform:translateX(-50%);
    display:flex;
    gap:10px;
    z-index:20;
}

.hero-slider .dot{
    width:12px;
    height:12px;
    border-radius:50%;
    background:rgba(255,255,255,.35);
    cursor:pointer;
}

.hero-slider .dot.active{
    background:#fff;
}

/* Tablet */
@media(max-width:991px){

    .hero-slider{
        height:auto;
        aspect-ratio: 4 / 3;
        min-height: auto;
    }

    .hero-slider .desktop-img{
        display:none;
    }

    .hero-slider .mobile-img{
        display:block;
        width:100%;
        height:100%;
        object-fit:cover;
        object-position:center center;
    }

    .hero-slider .overlay{
        display:none;
    }

    .hero-slider .content{
        display:none;
    }

    .hero-slider .container{
        padding:0;
    }

}

/* Mobile */
@media(max-width:576px){

    .hero-slider{
        height:auto;
        aspect-ratio: 4 / 3;
        min-height: auto;
    }

    .hero-slider .slider-btn{
        width:42px;
        height:42px;
        font-size:18px;
    }

    .hero-slider .prev{
        left:10px;
    }

    .hero-slider .next{
        right:10px;
    }

    .hero-slider .slider-dots{
        bottom:20px;
    }

}

